# DataGridViewNumericUpDownColumn

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

* [DataGridViewElement](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewelement.md)
  * [DataGridViewBand](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewband.md)
    * [DataGridViewColumn](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcolumn.md)
      * [DataGridViewNumericUpDownColumn](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewnumericupdowncolumn.md)

Represents a [DataGridView](/api/wisej.web/lists-and-grids/datagridview.md) column that contains a collection of [DataGridViewNumericUpDownCell](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewnumericupdowncell.md) cells.

{% tabs %}
{% tab title="C#" %}

```csharp
public class DataGridViewNumericUpDownColumn : DataGridViewColumn
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class DataGridViewNumericUpDownColumn
    Inherits DataGridViewColumn
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) DataGridViewNumericUpDownColumn()

Initializes a new instance of the [DataGridViewNumericUpDownColumn](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewnumericupdowncolumn.md) class to the default state.

### ![](/files/hsR4ok3152WyAf8J2C1u) DataGridViewNumericUpDownColumn(cellTemplate)

Initializes a new instance of the [DataGridViewNumericUpDownColumn](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewnumericupdowncolumn.md) class to the default state.

| Name             | Type                                                                                                                    | Description                                                                                                                                               |
| ---------------- | ----------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **cellTemplate** | [DataGridViewNumericUpDownCell](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewnumericupdowncell.md) | An existing [DataGridViewNumericUpDownCell](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewnumericupdowncell.md) to use as a template. |

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) CellTemplate

[DataGridViewCell](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcell.md): Returns or sets the template used to model cell appearance.

**Throws:**

* [InvalidOperationException](https://docs.microsoft.com/dotnet/api/system.invalidoperationexception) The type is null.
* [InvalidCastException](https://docs.microsoft.com/dotnet/api/system.invalidcastexception) The set type is not compatible with type [DataGridViewNumericUpDownCell](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewnumericupdowncell.md).

### ![](/files/hsR4ok3152WyAf8J2C1u) DecimalPlaces

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns or sets the number of decimal places to display in the spin column (also known as an up-down column). (Default: `0`)

**Throws:**

* [ArgumentOutOfRangeException](https://docs.microsoft.com/dotnet/api/system.argumentoutofrangeexception) The value assigned is less than 0; or the value assigned is greater than 99.

### ![](/files/hsR4ok3152WyAf8J2C1u) DefaultCellStyle

[DataGridViewCellStyle](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcellstyle.md): Returns or sets the column's default cell style.

### ![](/files/hsR4ok3152WyAf8J2C1u) HideUpDownButtons

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Returns or sets the visibility of the spinner buttons. (Default: `False`)

### ![](/files/hsR4ok3152WyAf8J2C1u) Increment

[Decimal](https://docs.microsoft.com/dotnet/api/system.decimal): Returns or sets the value to increment or decrement the spin box (also known as an up-down control) when the up or down buttons are clicked. (Default: `1`)

**Throws:**

* [ArgumentOutOfRangeException](https://docs.microsoft.com/dotnet/api/system.argumentoutofrangeexception) The assigned value is not greater than or equal to zero.

### ![](/files/hsR4ok3152WyAf8J2C1u) Maximum

[Decimal](https://docs.microsoft.com/dotnet/api/system.decimal): Returns or sets the maximum value for the spin column (also known as an up-down column). (Default: `100`)

### ![](/files/hsR4ok3152WyAf8J2C1u) Minimum

[Decimal](https://docs.microsoft.com/dotnet/api/system.decimal): Returns or sets the minimum allowed value for the spin column (also known as an up-down column). (Default: `0`)

### ![](/files/hsR4ok3152WyAf8J2C1u) ThousandsSeparator

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Returns or sets whether a thousands separator is displayed in the spin column (also known as an up-down column) when appropriate. (Default: `False`)

## Implements

| Name                                                                              | Description                                                                                                     |
| --------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------- |
| [IUserData](/api/wisej.web/interfaces/wisej.web.iuserdata.md)                     | Provides access to the `UserData` and `Tag` properties associated to the component implementing this interface. |
| [IWisejComponent](/api/wisej.core/interfaces/wisej.core.iwisejcomponent.md)       | All wisej components implement this interface.                                                                  |
| [IWisejSerializable](/api/wisej.core/interfaces/wisej.core.iwisejserializable.md) | Allows an object to serialize itself.                                                                           |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewnumericupdowncolumn.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
